Bug 22683 - ps -u doesn't deal with 32-bit uids
Summary: ps -u doesn't deal with 32-bit uids
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 18:58 UTC by Bill Pemberton
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 21:03:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Pemberton 2000-12-21 18:58:32 UTC
The -u option to ps has a max uid that is lower than the 2.4 kernels max
(as in ps thinks 16-bit, the kernel does 32-bit).  If I create a user with
a large uid (100000 for example) and then do a ps -fu <user> I get:

ps: error: User ID out of range

Comment 1 Glen Foster 2001-01-11 21:03:47 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Preston Brown 2001-02-01 21:25:05 UTC
fixed in 2.0.7-5 and later.


Note You need to log in before you can comment on or make changes to this bug.